Bug 208702 - net/dhcpcd: Update to 6.10.2
Summary: net/dhcpcd: Update to 6.10.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 16:05 UTC by roy
Modified: 2016-04-17 01:21 UTC (History)
2 users (show)

See Also:
roy: maintainer-feedback+
junovitch: merge-quarterly+


Attachments
Patch to net/dhcpcd to update to 6.10.2 (3.13 KB, patch)
2016-04-11 16:05 UTC, roy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description roy 2016-04-11 16:05:29 UTC
Created attachment 169195 [details]
Patch to net/dhcpcd to update to 6.10.2

dhcpcd-6.10.2 has been released with the following changes:
  *  Add fix for CVE-2014-7913.
  *  eloop performance and API improvements.
  *  Don't send a blank hostname.
  *  Prefix Delegation default value fixes.
  *  Prefix Delegation suffix is now configurable.
  *  dhcpcd.conf now allows embedded comments.
  *  IPv6 static address support.
  *  ipv6ra_accept_nopublic has been removed, all prefixes now accepted.
  *  Remove pidfile handling from dhcpcd and use pidfile_lock(3).
     If not available, use a compat shim.
  *  Fix changing routes on BSD.

Specific to FreeBSD ports package:
  *  dhcpcd rc.d script now supports starting as a service (dhcpcd_enable=YES)
     as well as handling per interface if needed from devd.
  *  The patch to dhcpcd.conf has been removed and the pkg-message adjusted to
     match the more recent findings in bug #194485
Comment 1 Kurt Jaeger freebsd_committer 2016-04-16 02:19:19 UTC
The patch is against a net/dhcpd @6.10.1, while the current port is a at 5.8.20151202 ? What am I missing ?
Comment 2 roy 2016-04-16 07:26:14 UTC
You're missing the letter c :)

net/dhcpcd vs net/dhcpd
Comment 3 Kurt Jaeger freebsd_committer 2016-04-16 12:18:48 UTC
Testbuilds are fine, after I found the letter c 8-)
Comment 4 commit-hook freebsd_committer 2016-04-16 12:22:18 UTC
A commit references this bug:

Author: pi
Date: Sat Apr 16 12:21:39 UTC 2016
New revision: 413437
URL: https://svnweb.freebsd.org/changeset/ports/413437

Log:
  net/dhcpcd: 6.10.1 -> 6.10.2

  Changes:
  - Add fix for CVE-2014-7913.
  - eloop performance and API improvements.
  - Don't send a blank hostname.
  - Prefix Delegation default value fixes.
  - Prefix Delegation suffix is now configurable.
  - dhcpcd.conf now allows embedded comments.
  - IPv6 static address support.
  - ipv6ra_accept_nopublic has been removed, all prefixes now accepted.
  - Remove pidfile handling from dhcpcd and use pidfile_lock(3).
    If not available, use a compat shim.
  - Fix changing routes on BSD.

  Specific to FreeBSD ports package:
  - dhcpcd rc.d script now supports starting as a service (dhcpcd_enable=YES)
    as well as handling per interface if needed from devd.
  - The patch to dhcpcd.conf has been removed and the pkg-message adjusted to
    match the more recent findings in bug #194485

  PR:		208702
  Submitted by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/distinfo
  head/net/dhcpcd/files/dhcpcd.in
  head/net/dhcpcd/files/patch-dhcpcd.conf
  head/net/dhcpcd/pkg-message
Comment 5 Kurt Jaeger freebsd_committer 2016-04-16 12:23:24 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-04-17 01:18:37 UTC
A commit references this bug:

Author: junovitch
Date: Sun Apr 17 01:17:56 UTC 2016
New revision: 413487
URL: https://svnweb.freebsd.org/changeset/ports/413487

Log:
  MFH: r413437

  net/dhcpcd: 6.10.1 -> 6.10.2

  Changes:
  - Add fix for CVE-2014-7913.
  - eloop performance and API improvements.
  - Don't send a blank hostname.
  - Prefix Delegation default value fixes.
  - Prefix Delegation suffix is now configurable.
  - dhcpcd.conf now allows embedded comments.
  - IPv6 static address support.
  - ipv6ra_accept_nopublic has been removed, all prefixes now accepted.
  - Remove pidfile handling from dhcpcd and use pidfile_lock(3).
    If not available, use a compat shim.
  - Fix changing routes on BSD.

  Specific to FreeBSD ports package:
  - dhcpcd rc.d script now supports starting as a service (dhcpcd_enable=YES)
    as well as handling per interface if needed from devd.
  - The patch to dhcpcd.conf has been removed and the pkg-message adjusted to
    match the more recent findings in bug #194485

  PR:		208702
  Submitted by:	roy@marples.name (maintainer)
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2014-7913
  Security:	https://vuxml.FreeBSD.org/freebsd/6ec9f210-0404-11e6-9aee-bc5ff4fb5ea1.html

Changes:
_U  branches/2016Q2/
  branches/2016Q2/net/dhcpcd/Makefile
  branches/2016Q2/net/dhcpcd/distinfo
  branches/2016Q2/net/dhcpcd/files/dhcpcd.in
  branches/2016Q2/net/dhcpcd/files/patch-dhcpcd.conf
  branches/2016Q2/net/dhcpcd/pkg-message